from rich.console import Console
from rich.markdown import Markdown

class MessagePrinter:
    @staticmethod
    def connected(ip, port):
        console = Console()

        console.print(f'[yellow b][INFO][/] Connected to the server ({ip}:{port}).')

    @staticmethod
    def print(title: str, message: str):
        console = Console()

        full_message = f'# {title}\n{message}'

        console.print(Markdown(full_message))


    @staticmethod
    def bye():
        console = Console()

        console.print('[green]bye[/]')

